Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.crs
Interface GeocentricCRS

All Superinterfaces:
  CoordinateReferenceSystem, GeodeticCRS, IdentifiedObject, ReferenceSystem, SingleCRS

    @UML(identifier="SC_GeocentricCRS",
         specification=ISO_19111)
    public interface GeocentricCRS

extends GeodeticCRS

A 3D coordinate reference system with the origin at the approximate centre of mass of the earth. A geocentric CRS deals with the earth's curvature by taking a 3D spatial view, which obviates the need to model the earth's curvature.

Used with CS type(s)
`Cartesian`, `Spherical`

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0

Field Summary

Fields inherited from interface ReferenceSystem
`DOMAIN_OF_VALIDITY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`CoordinateSystem` | `getCoordinateSystem()` Returns the coordinate system, which must be cartesian or spherical.

Methods inherited from interface SingleCRS
`getDatum`

Methods inherited from interface ReferenceSystem
`getDomainOfValidity, getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### getCoordinateSystem

    @UML(identifier="usesCartesianCS, usesSphericalCS",
         obligation=MANDATORY,
         specification=ISO_19111)
    CoordinateSystem getCoordinateSystem()

  Returns the coordinate system, which must be cartesian or spherical.

  Specified by:
    `getCoordinateSystem` in interface `CoordinateReferenceSystem`
  Specified by:
    `getCoordinateSystem` in interface `SingleCRS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.